Ruby: OnigToken Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
OnigToken Struct Reference

## Data Fields
enum TokenSyms | type
int | escaped
int | base
UChar * | backp
union {
UChar * s
int c
OnigCodePoint code
struct {
int subtype
int ascii_range
} anchor
struct {
int lower
int upper
int greedy
int possessive
} repeat
struct {
int num
int ref1
int * refs
int by_name
int exist_level
int level
} backref
struct {
UChar * name
UChar * name_end
int gnum
int rel
} call
struct {
int ctype
int not
} prop
} | u

## Detailed Description

Definition at line 2278 of file regparse.c.

## Field Documentation

## ◆

struct { ... } OnigToken::anchor

## ◆ ascii_range

int OnigToken::ascii_range

Definition at line 2289 of file regparse.c.

## ◆ backp

UChar* OnigToken::backp

Definition at line 2282 of file regparse.c.

## ◆

struct { ... } OnigToken::backref

## ◆ base

int OnigToken::base

Definition at line 2281 of file regparse.c.

## ◆ by_name

int OnigToken::by_name

Definition at line 2301 of file regparse.c.

## ◆ c

int OnigToken::c

Definition at line 2285 of file regparse.c.

## ◆

struct { ... } OnigToken::call

## ◆ code

OnigCodePoint OnigToken::code

Definition at line 2286 of file regparse.c.

## ◆ ctype

int OnigToken::ctype

Definition at line 2314 of file regparse.c.

## ◆ escaped

int OnigToken::escaped

Definition at line 2280 of file regparse.c.

## ◆ exist_level

int OnigToken::exist_level

Definition at line 2303 of file regparse.c.

## ◆ gnum

int OnigToken::gnum

Definition at line 2310 of file regparse.c.

## ◆ greedy

int OnigToken::greedy

Definition at line 2294 of file regparse.c.

## ◆ level

int OnigToken::level

Definition at line 2304 of file regparse.c.

## ◆ lower

int OnigToken::lower

Definition at line 2292 of file regparse.c.

## ◆ name

UChar* OnigToken::name

Definition at line 2308 of file regparse.c.

## ◆ name_end

UChar* OnigToken::name_end

Definition at line 2309 of file regparse.c.

## ◆ not

int OnigToken::not

Definition at line 2315 of file regparse.c.

## ◆ num

int OnigToken::num

Definition at line 2298 of file regparse.c.

## ◆ possessive

int OnigToken::possessive

Definition at line 2295 of file regparse.c.

## ◆

struct { ... } OnigToken::prop

## ◆ ref1

int OnigToken::ref1

Definition at line 2299 of file regparse.c.

## ◆ refs

int* OnigToken::refs

Definition at line 2300 of file regparse.c.

## ◆ rel

int OnigToken::rel

Definition at line 2311 of file regparse.c.

## ◆

struct { ... } OnigToken::repeat

## ◆ s

UChar* OnigToken::s

Definition at line 2284 of file regparse.c.

## ◆ subtype

int OnigToken::subtype

Definition at line 2288 of file regparse.c.

## ◆ type

enum TokenSyms OnigToken::type

Definition at line 2279 of file regparse.c.

## ◆

union { ... } OnigToken::u

## ◆ upper

int OnigToken::upper

Definition at line 2293 of file regparse.c.

The documentation for this struct was generated from the following file:

- regparse.c